package com.diagbot.vo;

import lombok.Data;

import java.util.List;

/**
 * @description: 分配核查任务入参对象
 * @author: songxl
 * @time: 2021/05/17
 */
@Data
public class DistributionJobVO {
    //病人住院序号集合
    private List<String> behospitalCodes;
    //医院id
    private String hospitalId;
    //分配用户id
    private String jobDistributor;
    //核查用户id
    private String checkId;
    //核查用户姓名
    private String checkName;
    //操作类型 分配或取消 0-分配，1-取消分配分配或取消 0-分配，1-取消分配
    private String distributionType;



}
